% Plottool, comparison
filename = 'comparisonConnection';

Time = load('Time','Time');
Ref = load('Ref','Controller');
Data1 = load('L1','Choke');
Data2 = load('MRAC','Choke');
Data3 = load('PI','Choke');

data1n = '$\Lone$ '; 
data1 = Data1.Choke(:,1);

data2n =  '$MRAC$ '; 
data2 = Data2.Choke(:,1);

data3n = '$PI$'; 
data3 = Data3.Choke(:,1);

refn = '$P_{c,ref}$ '; 
ref = Ref.Controller(:,3)*10^-5;

xname = 'time $[mins]$';
yname = 'pressure $[bar]$';
tname = '\vspace{-3mm}Comparison of tracking performance';

t = 1:1:size(data1,1);
t = t./60/(1/Time.Time.inc);

figure(1), clf
hold on
plot(t,data1,'r');
plot(t,data2,'y');
plot(t,data3,'g--');
plot(t,ref,'b--');
hold off
title(tname);
legend(data1n,data2n,data3n,refn)
ylabel(yname)
xlabel(xname)
laprint(1,filename,'figcopy', 'off','width',14)
% plot2eps(1,'filename',filename)

