% Plottool, comparison
filename = 'L1comparisonStepSize';

Time1 = load('Time05','Time');
Time2 = load('Time01','Time');
Time3 = load('Time001','Time');
%Ref = load('Ref','Controller');
Data1 = load('L105U','Controller');
Data2 = load('L101U','Controller');
Data3 = load('L1001U','Controller');
Data1c = load('L105','Choke');
Data2c = load('L101','Choke');
Data3c = load('L1001','Choke');

data1n = '$\tau = 0.5$'; 
data1 = Data1.Controller(:,8)*(1000*60);
data1c = Data1c.Choke(:,1);

data2n =  '$\tau = 0.1$ '; 
data2 = Data2.Controller(:,8)*(1000*60);
data2c = Data2c.Choke(:,1);

data3n = '$\tau = 0.01$  '; 
data3 = Data3.Controller(:,8)*(1000*60);
data3c = Data3c.Choke(:,1);

refn = '$P_{c,ref}$ '; 
ref = Data1.Controller(:,3)*10^-5;

xname = 'time $[mins]$';
yname1 = 'flow $[l/min]$';
yname2 = 'pressure $[bar]$';
tname1 = '\vspace{-3mm}Flow input $\tau = 0.5$';
tname2 = '\vspace{-3mm}Flow input $\tau = 0.1$';
tname3 = '\vspace{-3mm}Flow input $\tau = 0.01$';
tname4 = '\vspace{-3mm}Choke Pressure $[bar]$';

t1 = 1:1:size(data1,1);
t2 = 1:1:size(data2,1);
t3 = 1:1:size(data3,1);
t1 = t1./60/(1/Time1.Time.inc);
t2 = t2./60/(1/Time2.Time.inc);
t3 = t3./60/(1/Time3.Time.inc);

figure(1), clf
subplot(2,2,1)
plot(t1,data1,'y--')
legend(data1n)
ylabel(yname1)
title(tname1);

subplot(2,2,2)
plot(t2,data2,'b');
legend(data2n)
ylabel(yname1)
title(tname2);

subplot(2,2,3)
plot(t3,data3,'g--');
legend(data3n)
ylabel(yname1)
title(tname3);

subplot(2,2,4)
hold on
plot(t1,data1c,'y--');
plot(t2,data2c,'b');
plot(t3,data3c,'g--');
plot(t1,ref,'r');
hold off
legend(data1n,data2n,data3n,refn)
ylabel(yname2)
xlabel(xname)
title(tname4);
laprint(1,filename,'figcopy', 'off','width',14)
% plot2eps(1,'filename',filename)

