% Plottool, comparison
filename = 'MRACcomparisonAdGain';

Time1 = load('LowTime','Time');
Time2 = load('MedTime','Time');
Time3 = load('HighTime','Time');
Ref = load('MedU','Controller');
Data1 = load('Low','Choke');
Data2 = load('Med','Choke');
Data3 = load('High','Choke');

data1n = '$Low$'; 
data1 = Data1.Choke(:,1);

data2n =  '$Medium$ '; 
data2 = Data2.Choke(:,1);

data3n = '$High$'; 
data3 = Data3.Choke(:,1);

refn = '$P_{c,ref}$ '; 
ref = Ref.Controller(:,3)*10^-5;

xname = 'time $[mins]$';
yname = 'pressure $[bar]$';
tname = '\vspace{-3mm}Comparison of tracking performance';

t1 = 1:1:size(data1,1);
t1 = t1./60/(1/Time1.Time.inc);

t2 = 1:1:size(data2,1);
t2 = t2./60/(1/Time2.Time.inc);

t3 = 1:1:size(data3,1);
t3 = t3./60/(1/Time3.Time.inc);

figure(1), clf
hold on
plot(t1,data1,'r');
plot(t2,data2,'y');
plot(t3,data3,'g--');
plot(t2,ref,'b--');
hold off
title(tname);
legend(data1n,data2n,data3n,refn)
ylabel(yname)
xlabel(xname)
laprint(1,filename,'figcopy', 'off','width',14)
% plot2eps(1,'filename',filename)

