function plotData()

%% Load Data

close all hidden

load Data_BHA;
load Data_choke;
load Data_MudPump;
load Data_BackpressurePump;
load Data_Position;
load Data_Controller;
load Data_Well;

%% Plot BHA
figure(1);
hold on
plot(BHA(:,1),'r');
plot(BHA(:,2),'g--');
hold off
legend('Pbit','PbitHat') 

figure(2)
hold on
plot(BHA(:,3),'r');
plot(BHA(:,4),'g--');
hold off
legend('Qbit','QbitHat')

%% Plot Choke
figure(3)
hold on
plot(Choke(:,1),'r');
plot(Choke(:,2),'g--');
hold off
legend('Pc','PcHat')

figure(4)
hold on
plot(Choke(:,3),'r');
plot(Choke(:,4),'g--');
hold off
legend('Qc','QcHat')

figure(5)
hold on
plot(Choke(:,5),'r');
plot(Choke(:,6),'g--');
hold off
legend('Zc','ZcRef')

%% Plot MudPump
figure(6)
hold on
plot(MudPump(:,1),'r');
plot(MudPump(:,2),'g--');
hold off
legend('Pm','PmHat')

figure(7)
hold on
plot(MudPump(:,3),'r');
plot(MudPump(:,4),'g--');
hold off
legend('Qm','QmHat')

figure(8)
hold on
plot(MudPump(:,5),'r');
plot(MudPump(:,6),'g--');
hold off
legend('Wm','WmRef')

%% Plot Backpressurepump
figure(9)
hold on
plot(BackPressurePump(:,1),'r');
plot(BackPressurePump(:,2),'g--');
hold off
legend('Qb','QbHat')

figure(10)
hold on
plot(BackPressurePump(:,3),'r');
plot(BackPressurePump(:,4),'g--');
hold off
legend('Wb','WbRef')

%% Plot Position

figure(11)
hold on
plot(Position(:,2),Position(:,1));
hold off
legend('Depth vs length')

figure(12)
hold on
plot(Position(:,1),'r');
plot(Position(:,2),'g--');
plot(Position(:,3),'b-');
hold off
legend('Hbit','Lw','bPos')

%% Plot BHP Controller

figure(13)
hold on
plot(Controller(:,1));
hold off
legend('Error')

figure(14)
hold on
plot(Controller(:,2),'r');
plot(BHA(:,2),'g--');
hold off
legend('Reference','Measurement')

%% Plot Choke Controller

figure(15)
hold on
plot(Controller(:,4),'r');
plot(Controller(:,5),'g');
plot(Controller(:,6),'--');
hold off
legend('k0','k1','k2')

% figure(16)
% hold on
% plot(Controller(:,3)*10^-5,'r');
% plot(Choke(:,1),'g--');
% hold off
% legend('ChokeReference','Choke');

figure(17)
hold on
plot(Controller(:,7)*10^-5,'r');
plot(Controller(:,3)*10^-5,'b');
plot(Choke(:,1),'g--');
hold off
legend('ChokeModel','Ref','Choke')

figure(18)
hold on
plot(Controller(:,8),'r');
plot(Choke(:,3),'g');
hold off
legend('Flow Ref','Flow')


%% Plot Well

figure(19)
hold on
plot(Well(:,1),'g');
plot(Well(:,2),'r');
plot(Well(:,3),'b');
plot(Well(:,4),'y');
plot(Well(:,5),'c');
plot(Well(:,6));
hold off
legend('Ma','Md','Fd','Fa','Va','Vd');

figure(20)
hold on
plot(Well(:,7),'g');
plot(Well(:,8),'r');
plot(Well(:,10),'b');
plot(Well(:,11),'y');
hold off
legend('betaa','betad','rhoa','rhod');




end