% Create simulation performance plots
clear all, close all;

load Honneywell_Data;
load Oddfjell_Data;
load Data_BHA;
load Data_choke;
load Data_MudPump;
load Data_BackpressurePump;
load Data_Position;
load Data_Controller;
load Data_Well;
load Data_Reservoir;

hwStart = find(hw.Time == 40*3600);
hwStop = find(hw.Time == 50*3600);
pStart = find(p.Time == 40*3600);
pStop = find(p.Time == 50*3600);

t = 40*3600+1:1:50*3600;

f1 = figure()
subplot(4,1,1)
hold on
plot(hw.Time(hwStart:hwStop)/3600,hw.APRESR(hwStart:hwStop),'.r','MarkerSize',3);
plot(hw.Time(hwStart:hwStop)/3600,hw.APRESM(hwStart:hwStop),'.g','MarkerSize',3);
plot(p.Time(pStart:pStop)/3600,p.BHP(pStart:pStop),'.b','Markersize',3);
plot(t/3600,BHA(:,2),'c--');
hold off

l1 = legend('H p_{bit} R [bar]','H p_{bit} M [bar]','O p_{bit} [barg]','simulation p_{bit} [bar]');
a = get(l1,'children');
for k=1:1:12
    if mod(k,3)
        set(a(k),'markersize',15);
    end
end


subplot(4,1,2)
hold on
plot(p.Time(pStart:pStop)/3600,p.CPRESS(pStart:pStop),'.b','Markersize',3);
plot(t/3600,Choke(:,2),'r--');
hold off
l1 = legend('O p_c [barg]','Simulation p_c [bar]');
a = get(l1,'children');
for k=1:1:6
    if mod(k,3)
        set(a(k),'markersize',15);
    end
end

subplot(4,1,3)
hold on
plot(p.Time(pStart:pStop)/3600,p.CPOSA(pStart:pStop),'.r','Markersize',3);
plot(p.Time(pStart:pStop)/3600,p.CPOSB(pStart:pStop),'.b','Markersize',3);
hold off
l1 = legend('O Z_c,a [%]','O Z_c,b [%]');

a = get(l1,'children');
for k=1:1:6
    if mod(k,3)
        set(a(k),'markersize',15);
    end
end

subplot(4,1,4)
hold on
plot(hw.Time(hwStart:hwStop)/3600,hw.PUMPFLOW(hwStart:hwStop),'.r','Markersize',3);
plot(p.Time(pStart:pStop)/3600,p.FLOWRATE(pStart:pStop),'.b','Markersize',3);
hold off
l1 = legend('H q_p [l/min]','O q_p [l/min]');
a = get(l1,'children');
for k=1:1:6
    if mod(k,3)
        set(a(k),'markersize',15);
    end
end
xlabel('time [hours]');
% title('Bit pressure, Choke pressure, Choke opening and mud pump flow');

 set(f1,'paperpositionmode','auto'); 
 print -depsc2 finalPlot1.eps

