function u = controllerMRACpressure(gain, r, p_p)
% Pressure controller, calculates u_c,ref based
% on e_p = p_p - r, and an offset term
% gain matrix is updated elsewhere
%
% Input:
% gain - gain vector
% r - choke pressure reference
% p_p - choke pressure (process pressure)
%
% Output:
% u - u_c,ref, wanted choke flow
%
% Written by Torbjrn Pedersen 2008

u = -gain(1)*r + gain(2)* p_p + gain(3);

% hard constraints
u = min(15000/60/1000,u); % could be because of topside equipment constraints
u = max(0,u); % do not allow negative flow

end