function generateNoiseVector(length,size)
% This function generates a noise matrix consisting of the
% vectors measured in the measurement function and saves it to the
% file noise. The noise is normally distributed with mean 1 and
% standard deviation 0.01 and will thus give a percentage change in the measured
% signal if multiplied with the "real" signal
%
% Input:
% length - length of the noise vectors
%
% Torbjrn Pedersen 1008

    size = size/100;

    BHP = 1 + size.*randn(length,1); % THis is bad
    bitFlowRate = 1 + size.*randn(length,1);
    chokePressure = 1 + size.*randn(length,1);
    chokeFlow = 1 + size.*randn(length,1);
    mudPumpPressure = 1 + size.*randn(length,1);
    mudPumpFlow = 1 + size.*randn(length,1);
    backPPumpFlow = 1 + size.*randn(length,1);
   
    
    noise.BHP = BHP;
    noise.bitFlowRate = bitFlowRate;
    noise.chokePressure = chokePressure;
    noise.chokeFlow = chokeFlow;
    noise.mudPumpPressure = mudPumpPressure;
    noise.mudPumpFlow = mudPumpFlow;
    noise.backPPumpFlow = backPPumpFlow;
    
    save noise 'noise';
    
end
    
