function [pumpref, chokeref] = generateRefSignals(simulation) 

inc = (1/simulation.inc);
et = simulation.endtime;

wt = 2*60*inc;
rt = 2*60*inc;
ft = 2*60*inc;
ll = 0.5;
wait = ones(wt,1);
waitd = ones(wt,1)*ll;
r = zeros(rt,1);
f = zeros(ft,1);

r(1) = ll;
for i=2:1:rt
    r(i) = r(i-1)+(ll/(rt));
end

f(1) = 1;
for i=2:1:ft
    f(i) = f(i-1)-(ll/(ft));
end

temp = [wait',f',waitd',r']';
index = ceil(inc*et/(size(temp,1)));
pumpref = repmat(temp,index,1);

wt = 5*60*inc;

waitu = ones(wt,1)*10*10^5;
waitd = ones(wt,1)*5*10^5;

temp = [waitu',waitd']';

index = ceil(inc*et/(size(temp,1)));

chokeref = repmat(temp,index,1);

end