    function pAnnular = getPressureProfile(simulation, Ldes)
        pChoke  = simulation.model.chokePressure;
        qbit	= simulation.model.bitFlowRate;
        rhoa    = simulation.model.rhoa;
        La      = simulation.model.La;
        g       = simulation.model.g;
       
        if La(end)<max(Ldes)
            %error('Cannot calculate pressure profile outside the maximum well length')
            LdesStore = Ldes ;   
            kd = find( Ldes<=La(end),1,'last'); % should be <=
            Ldes = LdesStore(1:kd);
        else
            kd = length(Ldes);
            LdesStore = Ldes;
        end

        % find the friction factors at desired locations Ldes
        Fa = getFrictionFactorAnnulus(self, Ldes);

        % find the depth at desired locations Ldes
        h = getWellDepth(self,Ldes);

        % calculate annular pressure profile
        pAnnular =zeros(size(LdesStore));
        pAnnular(1:kd) = pChoke + Fa.* abs(qbit)*(qbit) + rhoa * g .* h;
        pAnnular(kd+1:end)=NaN;

        return
    end % function getAnnularPressureProfileFromODE