function simulation = l1companionmodel(simulation)

time = simulation.timeOde;
l1Am = simulation.l1.l1Am;
pbit = simulation.measurement.BHP;
pbithat = simulation.l1model.pbit;
u = simulation.controller.flowInput;
l1estimates = simulation.l1.l1parameters;
bounds = simulation.l1model.bounds;

y0 = pbithat;

[t y] = ode45(@(t,y)defineSystem(t,y,pbit,l1Am,u,l1estimates),time,y0);

pbithat = min(bounds(1),y(end,1)); % Upper bound
pbithat = max(bounds(2),pbithat); % Lower bound

simulation.l1model.pbit = max(1*10^5,pbithat);

end

function dydt = defineSystem(t,y,pbit,l1Am,u,l1estimates)

%dydt = zeros(size(y));

dydt = l1Am*y + (l1estimates(3)*u + l1estimates(1) * pbit + l1estimates(2));

end