function simulation = l1companionmodelChoke(simulation)

time = simulation.timeOde;
l1Am = simulation.l1.l1AmChoke;
pchoke = simulation.measurement.chokePressure;
pchokehat = simulation.l1model.pchoke;
u = simulation.controller.flowInput;
l1estimates = simulation.l1.l1parameters;
bounds = simulation.l1model.bounds;

y0 = pchokehat;

[t y] = ode45(@(t,y)defineSystem(t,y,pchoke,l1Am,u,l1estimates),time,y0);

pchokehat = min(bounds(1),y(end,1)); % Upper bound
pchokehat = max(bounds(2),pchokehat); % Lower bound

simulation.l1model.pbit = max(1*10^5,pchokehat);

end

function dydt = defineSystem(t,y,pchoke,l1Am,u,l1estimates)

%dydt = zeros(size(y));

dydt = l1Am*y + (l1estimates(3)*u + l1estimates(1) * pchoke + l1estimates(2));

end