function simulation = l1control(simulation)

l1parameters = simulation.l1.l1parameters;
u = simulation.controller.flowInput;
pbit = simulation.measurement.BHP;
l1Am = simulation.l1.l1Am;
r = simulation.controller.PbitReference*10^5;
bounds = simulation.l1.ubounds;
%d_s = simulation.l1.filter;
time = simulation.timeOde;
l1k = simulation.l1.l1k;

persistent bias;

if isempty(bias)
   bias = u; 
end

% y0 = u;
% 
% [t y] = ode45(@(t,y)defineSystem(t,y,l1parameters,pbit,l1Am,r,l1k),time,y0);
% 
% % u = bias + y(end,1)*l1k;
% % u = y(end,1)*l1k;
% u = y(end,1);
% 
% u = min(bounds(1),u);
% u = max(bounds(2),u);
% 
% simulation.controller.flowInput = u;
% simulation.controller.unfilteredu = nan;
% end
% 
% 
% function dydt = defineSystem(t,y,l1parameters,pbit,l1Am,r,l1k)
% 
% dydt = (l1parameters(3)*y + l1parameters(1)*pbit + l1parameters(2) + l1Am*r)*l1k;
% 
% end

r_u = l1parameters(3)*u + l1parameters(1)*pbit + l1parameters(2) + l1Am*r;
% r_u = l1parameters(3)*u + l1parameters(1)*pbit + l1parameters(2) - r;
%r_u = r_u * -l1k;

persistent X;

if isempty(X)
    X = 0;
end

% y0 = simulation.controller.flowInput;
y0 = X;

[t y] = ode45(@(t,y)defineSystem(t,y,r_u),time,y0);

X = y(end,1);
%Projection X
X = min(X,(bounds(1)/-l1k));
X = max(X,(bounds(2)/-l1k));

% Calculate flow ref
u = X*-l1k;
u = min(bounds(1),u);
u = max(bounds(2),u);
% u = max(-bias,u);

simulation.controller.flowInput = u;
simulation.controller.unfilteredu = r_u;
simulation.controller.l1X = X;
end


function dydt = defineSystem(t,y,r_u)

dydt = r_u;

%dydt = min(100/60/1000,dydt);
%dydt = max(-100/60/1000,dydt);

end