function simulation = l1controlChokeFixed(simulation)

l1parameters = simulation.l1.l1parameters;
u = simulation.controller.flowInput;
p_c = simulation.measurement.chokePressure;
l1Am = simulation.l1.l1AmChoke;
r = simulation.controller.chokeReference;
bounds = simulation.l1.ubounds;
time = simulation.timeSpan;
l1k = simulation.l1.l1kChoke;

r_u = l1parameters(3)*u + l1parameters(1)*p_c + l1parameters(2) + l1Am*r;

persistent X;

if isempty(X)
%     X = [0 0]';
    X = (2200/60/1000)/(-l1k);
end

% y0 = simulation.controller.flowInput;
y0 = X;

% omega = l1parameters(3);

y = ode4(@(t,y)defineSystem(t,y,r_u),time,y0);
% [t y] = ode45(@(t,y)defineSystem(t,y,r_u,omega,l1k,bounds),time,y0);

X = y(end,1);
% X1 = y(end,1);
%Projection X
X = min(X,(bounds(1)/-l1k));
X = max(X,(bounds(2)/-l1k));
% X1 = min(X1,(bounds(1)/-l1k));
% X1 = max(X1,(bounds(2)/-l1k));

% X2 = y(end,2);

% X = [X1,X2]';

% Calculate flow ref
% u = X1*-l1k;
u = X*-l1k;
u = min(bounds(1),u);
u = max(bounds(2),u);
% u = max(-bias,u);

simulation.controller.flowInput = u;
simulation.controller.unfilteredu = r_u;
simulation.controller.l1X = X;
% simulation.controller.l1X = X1;
end


function dydt = defineSystem(t,y,r_u)

dydt = r_u;

%dydt = min(100/60/1000,dydt);
%dydt = max(-100/60/1000,dydt);

end

% function dydt = defineSystem(t,y,r_u,omega,l1k,bounds)
% 
% dydt = zeros(size(y));
% 
% dydt(1) = y(2);
% if(y(1) <= 0 && dydt(2) < 0)
% dydt(2) = 0;
% elseif y(1) >= (bounds(1)/-l1k) && dydt(2) > 0
%         dydt(2) = 0;
% else
% dydt(2) = -0.5*y(1)+(r_u/(omega*l1k));
% end
% %dydt = min(100/60/1000,dydt);
% %dydt = max(-100/60/1000,dydt);
% 
% end