function out = signalFilter(simulation,in, prev)
% First order low pass filter
%
% Input:
% simulation - superstruct
%   .controller.samplingTime - sampling time
% in - signal to filter
%
% Output:
% out = filtered signal
%
% Written by Torbjrn Pedersen

tau = simulation.filter.timeconstant;

tf = tau*simulation.controller.samplingTime;
Ts = simulation.controller.samplingTime;

alpha = (tf / (tf + Ts));

signal = alpha*prev + (1-alpha)*in; 
    
out = signal;

end